Subject: bug#38407: 27.0.50; infinite loop with display of large file without newlines

From: Phil Sainty <[email-masked]>
Date: Thu, 28 Nov 2019 14:22:07 +1300

On 2019-11-28 10:52, Pieter van Oostrum wrote:
> I used a 100KB json file from my Firefox profile

Out of interest I went looking for large JSON files in my own Firefox
profiles, and the largest one I could find was an "extensions.json"
which was also roughly 100K.  Curiously enough, everything was indeed
dramatically slower than normal in that buffer, even in so-long-mode.

I also observed that many different human languages were present in
the text, so I thought that bi-directional text processing might be a
factor -- and indeed setting the debug option bidi-display-reordering
to nil in that buffer made a *very* dramatic improvement to
performance.

Similarly, performance was good after using M-x find-file-literally
to visit the file.

I am guessing that this is also what is happening for you?

-Phil